=== modified file 'bzrtools.py'
--- bzrtools.py	2006-08-07 01:20:08 +0000
+++ bzrtools.py	2006-08-08 02:29:34 +0000
@@ -58,7 +58,6 @@
     (True, [])
     >>> rm_tree(tree)
     """
-    from bzrlib.diff import compare_trees
     old_tree = cur_tree.basis_tree()
     new_tree = cur_tree
     non_source = []

=== modified file 'upstream_import.py'
--- upstream_import.py	2006-05-23 03:14:51 +0000
+++ upstream_import.py	2006-08-08 02:29:34 +0000
@@ -9,7 +9,6 @@
 from unittest import makeSuite
 
 from bzrlib.bzrdir import BzrDir
-from bzrlib.delta import compare_trees
 from bzrlib.errors import NoSuchFile, BzrCommandError, NotBranchError
 from bzrlib.osutils import pathjoin, isdir, file_iterator
 from bzrlib.tests import TestCaseInTempDir
@@ -143,7 +142,7 @@
         tree = WorkingTree.open_containing('.')[0]
     tree.lock_write()
     try:
-        if compare_trees(tree, tree.basis_tree()).has_changed():
+        if tree.changes_from(tree.basis_tree()).has_changed():
             raise BzrCommandError("Working tree has uncommitted changes.")
 
         if (source.endswith('.tar') or source.endswith('.tar.gz') or 

=== modified file 'zap.py'
--- zap.py	2006-06-27 14:36:32 +0000
+++ zap.py	2006-08-08 02:29:34 +0000
@@ -2,7 +2,6 @@
 
 from bzrlib.branch import Branch
 from bzrlib.errors import NoWorkingTree, NotLocalUrl, NotBranchError
-from bzrlib.delta import compare_trees
 from bzrlib.workingtree import WorkingTree
 
 from errors import (NotCheckout, UncommittedCheckout, ParentMissingRevisions, 
@@ -19,7 +18,7 @@
     branch_base = branch.bzrdir.transport.base
     if tree_base == branch_base:
         raise NotCheckout(path)
-    delta = compare_trees(wt.basis_tree(), wt, want_unchanged=False)
+    delta = wt.changes_from(wt.basis_tree(), want_unchanged=False)
     if delta.has_changed():
         raise UncommittedCheckout()
     if remove_branch:

